/*!
Theme Name: Vashiany-verszegenyseg (Kadence Child)
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Hangodi Titanilla - webgepard.hu
Author URI: https://webgepard.hu/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */



/* ======================================================
*        HOME - BLOG KATEGORIA FLILTER 
========================================================= */
.ht-horizontal-scroll a{
    text-decoration:none !important;
}

/* HOME - BLOG KATEGORIA FLILTER - MOBILE!!! */
@media only screen and (max-width: 767px){
    
    
    .ht-horizontal-scroll .wp-block-uagb-taxonomy-list{
        /*
        background:#f2f2f2;
        padding:8px 10px;
        border-bottom:1px solid #b5b5b5;
        */
    }
    
    .ht-horizontal-scroll .wp-block-uagb-taxonomy-list {
        display: flex !important;
        flex: 1 !important;
        overflow-x: scroll !important;
        scroll-snap-type: x mandatory !important;
        align-items: center !important;
        grid-column-gap: 10px;
        grid-row-gap: 5px;
    }

    .ht-horizontal-scroll .wp-block-uagb-taxonomy-list .uagb-taxomony-box {
        padding: 3px 6px 0 6px;
        font-size: 1em !important;
        font-weight: normal;
        scroll-snap-align: start;
        margin: 0 0 15px 0;
        background:#77a700;
    }
    
    .ht-horizontal-scroll .wp-block-uagb-taxonomy-list .uagb-tax-title {
        font-size: 1.15rem;
        color: #3b3b3b;
        margin-bottom: 5px;
        font-weight: 400;
        white-space: nowrap;
        color:#FFFFFF;
    }

}


/* ======================================================
*        PROD PAGE - ADD TO CART FORM EXTRA
========================================================= */
.ht-add-to-cart-form{
    background: #f2f2f2;
    padding: 1rem 1.5rem 0.5rem 1.5rem;
    border: 1px dashed #8b8b8b;
    margin-bottom: 1.5rem;
}

.ht-add-to-cart-form .ht-prod-name{
    font-family: 'Patrick Hand';
    font-size: 1.5rem;
    line-height: 1.5rem;
    margin-bottom: 1rem;
}

.ht-prod-kiszereles{
    font-size:0.9rem;
}

.ht-ar-teljes,
.ht-ar-akcios{
    display: flex;
    justify-content: space-between;
    max-width: 250px;
    font-weight: 600;
}


.ht-ar-teljes{
    font-size: 1.2rem;
    line-height: 1.35rem;
     margin-top: 0.5rem;    
}

.ht-ar-akcios{
    font-size: 1.3rem;
    line-height: 1.5rem;
    color: #619600;
     margin-bottom: 1rem; 
 
}
.ht-ar-normal{
    font-size: 1.3rem;
    line-height: 1.4rem;    
    font-weight: 600;
    margin-bottom: 1rem;
}

.ht-brutto-ar-szoveg{
    margin-bottom:0.75rem;
    font-size:0.9rem;
    color:#939393;
}
.ht-egysegar{
}


.woocommerce div.product .product_meta>span{
    display:block;
}

/* ajandek konyv */
body.postid-14385 .ht-add-to-cart-form,
body.postid-14387 .ht-add-to-cart-form,
body.postid-14388 .ht-add-to-cart-form,

body.postid-14385 .wpcsb-wrapper.wpcsb-wrapper-bottom,
body.postid-14387 .wpcsb-wrapper.wpcsb-wrapper-bottom,
body.postid-14388 .wpcsb-wrapper.wpcsb-wrapper-bottom,

body.postid-14385 .product_meta,
body.postid-14387 .product_meta,
body.postid-14388 .product_meta{
    
    display: none !important
}


body.postid-14385 .single-product-category a,
body.postid-14387 .single-product-category a,
body.postid-14388 .single-product-category a{
    pointer-events: none;
    color: #525252;
}

/* ========== INFO SAV =========== */
.infosav-wrapper{
    background: #dc6b1b; /* narancs */
   /* background:#185626;*/ /* zold */
    color: white;
    padding: 5px 15px;
    margin: 0;
    font-size: 15px;
    line-height: 1.3em;
    text-align: center;
}

/* ================ vashiany-banner ========= */
.vashiany-banner{
    margin: 20px auto;
    border: 1px solid #c5c5c5;
    box-shadow: 0 0 10px #f1f1f1;
}

/* ============ Allergy free icons ==========*/
ul.ht-allergy-free-iconlist{
    margin-left: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    align-items: stretch;
    justify-content: flex-start;
}

ul.ht-allergy-free-iconlist li{
    margin: 0 15px 0 0;
}

ul.ht-allergy-free-iconlist li img{
    max-height:70px;
    width:auto;
}

/* ========= STICKY ADD TO CART =================*/
.wpcsb-wrapper{
    background-color: #dddddd;
    padding:5px 15px; 
}

.wpcsb-wrapper .wpcsb-product-info .wpcsb-product-name{
    font-weight:bold;
}
/* =======================================================
        IMMUNERO LANDING
/* =====================================================*/

.ht-iconlist-card-white ul li.wp-block-kadence-listitem.kt-svg-icon-list-item-wrap {
    background: #fff;
    padding: 10px !important;
    border-radius: 7px;
    box-shadow: 0 0 10px #ebebeb;
}

.ht-iconlist-card-white ul li.wp-block-kadence-listitem.kt-svg-icon-list-item-wrap strong{
    color: var(--ast-global-color-0);
    font-size: 1.12rem;
    text-transform: uppercase;
    margin-bottom: 0.5rem;
    display: block;
}

.ht-iconlist-card-white.last-orange ul li.wp-block-kadence-listitem.kt-svg-icon-list-item-wrap:last-child,
.ht-iconlist-card-white.last-orange ul li.wp-block-kadence-listitem.kt-svg-icon-list-item-wrap:last-child strong{
    color: #d5880a !important;
    
}

.ht-iconlist-card-white.last-orange ul li.wp-block-kadence-listitem.kt-svg-icon-list-item-wrap:last-child .kt-svg-icon-list-single{
    background-color:#dd900e;
}
.ht_add_to_cart_shortcode{
    
}
.ht_add_to_cart_shortcode del,
.ht_add_to_cart_shortcode ins{
    display:block;
}

.ht_hide_plus_minus_btn .qty-button.minus,
.ht_hide_plus_minus_btn .qty-button.plus{
    display: none !important;
}

/* =========== LEJARATI IDOK, UZENET - TERMEKNEL ============ */
p.woope-notice {
    font-size: 0.8em;
}
/* =========== OTHER ============================ */
.ta-left{text-align: left;}
.ta-center{text-align: center;}
.ta-right{text-align: right;}


/* ========== MOBILE ======================*/
@media screen and (max-width: 769px){

    
    /* allergy */
    ul.ht-allergy-free-iconlist li{
        margin: 0 5px 0 0;
        
    }
    ul.ht-allergy-free-iconlist li img{
        max-height:68px;
    }
    
    /* sticky add to cart - mobile */
    .wpcsb-wrapper{
      padding:5px;
      line-height: 1.3rem;
     font-size: 0.85rem;
    }
    
    .wpcsb-wrapper .wpcsb-product-info {
        width: 100%;
    }
    

    .wpcsb-wrapper .wpcsb-product-info .wpcsb-product-image{
        margin-right:10px;
    }
    
    
    .wpcsb-wrapper .wpcsb-product-info .wpcsb-product-data{
       /* flex-direction: column;*/
       
    }
    
    .wpcsb-wrapper .wpcsb-product-info .wpcsb-product-data > div {
        margin-right: 10px;
    }
    
    .wpcsb-product-price {
        font-size: 0.7rem;
    }
    .wpcsb-price-ori del, 
    .wpcsb-price-ori ins,
    .wpcsb-price-ori span.woocommerce-Price-amount.amount {
        display: block;
        font-size: 0.85rem;
    }
       
    
}


/* =====================================
*       CIKK - figyelmezteto
========================================*/
.figyelmezteto {
    margin-top:20px;
    border: 1px dashed #a97621;
    background: #fff7e7;
    padding: 0 0.7rem 0 0.7rem;
    font-size: 0.85rem;
    line-height: 1.25rem;
    color: #a53b07;
    font-style: italic;
}

/* ============================================
/*    KOSAR OLDAL
==============================================*/
/* "Kosar osszesen" szoveg tiltasa */
body.woocommerce-cart .cart-summary{
    display:none !important;   
}

/* 2 oszlop helyett 1 oszlopos layout*/
.kadence-woo-cart-form-wrap .woocommerce-cart-form,
.kadence-woo-cart-form-wrap .cart-collaterals{
    float: none !important;
    width: 100% !important;
}

body.woocommerce-cart #content{
    background: #f2f2f2;
}

body.woocommerce-cart #content table.shop_table,
body.woocommerce-cart #content .cart_totals{
    background: #FFFFFF;
}

/* "Erdekelhet meg" - Ajanlo szekcio (4 oszlop helyett 3 oszlopos)*/
@media screen and (min-width: 1025px) {
    body.woocommerce-cart .cross-sells ul.products.grid-cols{
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}




/* ============================================
/*    SZALLITASI MODOK - CartPage, ChechoutPage
==============================================*/
.shop_table th {
    width: 25% !important;
}

td.ht-shipping-td {
   background: #f9f9f9; 
    
}

body.woocommerce-checkout td.ht-shipping-td{
    padding-left: 10px !important;
}

.ht-shipping-area{
    
}
.ht-shipping-title{
     text-align:left;
     font-weight: bold;
     margin-bottom: 15px;
     margin-top: 5px;
     text-transform: uppercase;
}


.woocommerce table.shop_table_responsive tr.woocommerce-shipping-totals td::before, 
.woocommerce-page table.shop_table_responsive tr.woocommerce-shipping-totals td::before{
    content: attr(data-title);
}

.ht-shipping-list{
    text-align:left;
}

.ht-shipping-list ul#shipping_method li {
    background: #ffffff;
    margin-bottom: 15px !important;
    border-radius:5px;
    display: flex;
    align-items: flex-start !important;
    border: 1px solid #c7c7c7;
    padding:5px
}

.ht-shipping-list ul#shipping_method li input{
    margin: 0.35em 10px 0 5px !important;
    width: 20px;
    }

.ht-shipping-list ul#shipping_method li label{
    cursor: pointer;
    font-weight: bold;
    width: calc(100% - 36px) !important;
}
.ht-shipping-desc {
    text-indent: 0;
    font-size: 0.8rem;
    line-height: 1rem;
    padding:  0px 10px 7px 0px;
    color: #606060;
    font-weight: normal;
}

tr.vp-woo-pont-review-order td {
    text-align: left !important;
}

/* kivalasztott csomagpont - irsz, cim*/
span.vp-woo-pont-review-order-selected-address{
    font-weight:normal;
}

/* szall modok: hover, selected li */
.ht-shipping-list ul#shipping_method li:hover{
    border: 1px solid #75ab14;
    box-shadow: 0 0 10px #cfcfcf;
    color: #5f9106;
    cursor: pointer;
}

.ht-shipping-list ul#shipping_method li:has(input[type=radio]:checked ){
    background: #d4ffd1 !important;
    border: 1px solid #75ab14;
    box-shadow: 0 0 10px #cfcfcf;
    color: #5f9106;
    
}

.ht-shipping-list ul#shipping_method li input[type='radio']:checked{
    accent-color: #05ad3c;
}


/* ============================================
/*    FIZETESI MODOK - CartPage, ChechoutPage
==============================================*/

#payment.woocommerce-checkout-payment ul::before{
    content: 'FIZETÉSI MÓD' !important;
    font-weight: bold;
    padding: 15px 0 0px 10px;
    font-size: 0.95rem;
}

#payment.woocommerce-checkout-payment ul{
    border-top: 1px solid var(--global-gray-400);
    border-bottom: 1px solid var(--global-gray-400);
    background:#f9f9f9;
   
}

#payment.woocommerce-checkout-payment ul li{
    margin: 0.7em 0.5em !important;
    line-height: 1.5em !important;
    list-style: none outside;
    background: #ffffff;
    border-radius:5px;
    border: 1px solid #c7c7c7;
    padding:5px
}

.wc_payment_methods .payment_box{
    font-size: 0.85rem !important;
    margin: 0 !important;
    padding: 0 10px 0 30px !important;
    }


/* fiz. modok: hover, selected li */
#payment.woocommerce-checkout-payment ul li:hover{
    border: 1px solid #75ab14;
    box-shadow: 0 0 10px #cfcfcf;
    color: #5f9106;
    cursor: pointer;
}

#payment.woocommerce-checkout-payment ul li:has(input[type=radio]:checked ){
    background: #d4ffd1 !important;
    border: 1px solid #75ab14;
    box-shadow: 0 0 10px #cfcfcf;
    color: #5f9106;
    
}
/*
#payment.woocommerce-checkout-payment ul li input[type='radio']:checked{
    accent-color: #05ad3c;
}
*/

#payment ul.wc_payment_methods li.wc_payment_method>label,
#payment ul.wc_payment_methods li.wc_payment_method>label:hover,
#payment ul.wc_payment_methods li.wc_payment_method input[type=radio]:first-child:checked+label {
    border-left: none !important;
    background: transparent !important;
    transition: none !important;
    cursor: pointer !important;
    padding:5px 15px !important;
}

/* ==================================================
/* PRODUCT ARCHIVE - KADENCE LIST VIEW              
/* =================================================== */
.products-list-view .product-excerpt strong{
    display: inline !important;
}

/* ==================================================
/* PRODUCT ARCHIVE - Prod. cateories link on Prod. Card              
/* =================================================== */
.ht-prod-cat-area-on-card{
    padding: 0 1.25em;
    font-size: 0.9rem;
}

a.ht-prod-cat-link{
    display: inline-block;
    background: #f3f3f3;
    border-radius: 3px;
    padding: 3px 5px;
    margin: 3px 5px 3px 0;
    font-size: 0.8rem;
}

a.ht-prod-cat-link:hover{
   background: var(--global-palette2);
   color:#ffffff !important;
}

/* ======================================================
*           PRODUCT LIST
========================================================= */

/*
.wp-block-kadence-rowlayout .wc-block-grid.has-4-columns .wc-block-grid__product{
    flex: 1 0 23%;
    max-width: 23%;
    margin: 1%;
}

.woocommerce ul.products li.product, 
.woocommerce-page ul.products li.product,
li.wc-block-grid__product {
    text-align: center !important;
    margin-bottom: 2.5em;
    border-style: solid;
    border-width: 1px 1px 1px 1px;
    border-radius: 10px;
    padding: 1em 1em 1em 1em;
    box-shadow: 0px 0px 10px 0px rgb(78 78 78 / 27%);
    border-color: #FFFFFF;
    background:#FFFFFF;
}


*/
.wc-block-grid__product-title,
h2.woocommerce-loop-product__title,
li.wc-block-grid__product .wc-block-grid__product-title {
    font-family: 'Patrick Hand',handwriting;
    font-size: 1.4rem !important;
    line-height: 1.42rem !important;
    font-weight: normal !important;
}

.woocommerce ul.products li.product .price,
.wc-block-grid .wc-block-grid__products .wc-block-grid__product .price{
    font-size:1.05rem;
}

/*
.woocommerce ul.products li.product .button,
.woocommerce-page ul.products li.product .button,
.wc-block-grid__product .wc-block-grid__product-add-to-cart,
.wc-block-grid .wc-block-grid__products .wc-block-grid__product .wp-block-button__link,
.woocommerce #respond input#submit,
.woocommerce a.button,
.woocommerce button.button,
.woocommerce input.button {
    font-weight: normal !important;
    font-size:1rem;
}

.woocommerce .woocommerce-breadcrumb a {
    color: #6d9900;
}


.ht-prod-loop-summary-wrap .ht-loop-product-category{
   color:#525252; 
   font-size: .85rem !important;
   margin-bottom: 0.5em;
   display: block;
   line-height: 1.3;
   opacity: .6;
   font-weight:normal !important;
}

*/






@media (max-width: 544px) {
   
   /* mobile card */
    .woocommerce ul.products li.product, 
    .woocommerce-page ul.products li.product,
    .wc-block-grid__product
    {
        display: flex !important;
        flex-wrap: nowrap;
        justify-content: space-between;
        align-items: center;
        padding: 0.2em;
        margin-bottom: 0;
        flex-direction: row !important;
        
    }
    
    
    .woocommerce div.product .related.products ul.products li.product {
        width: 100% !important;
        margin-right: 0;
    }
    
    .woocommerce ul.products li.product a.woocommerce-loop-image-link,
    .ht-prod-loop-thumbnail-wrap {
        width: 40%;
        
    }
    
    .ht-prod-cat-area-on-card{
        display:none;
    }
    
    .woocommerce ul.products li.product a img,
    .woocommerce-page ul.products li.product a img,
    .ht-prod-loop-summary-wrap a img{
        margin:0;
    }
    
   
    .ht-prod-loop-summary-wrap,
    .product-details.content-bg.entry-content-wrap {
         width: 60% !important;
         padding: 0.5rem !important;
    }
    
    
    /* plecsi - acoplw-badge */
    .acoplw-badge span.acoplwPosTop
    {
        margin-top: -26px !important;
    }
    
    /* prod title - mobil */
    .wc-block-grid__product-title,
         h2.woocommerce-loop-product__title {
        font-size: 1.3rem !important;
       }
    
    /* mobill - WooCoomerce HandPicker prod Gutenberg*/
    .wc-block-grid.has-4-columns .wc-block-grid__product,
    .wc-block-grid.has-3-columns .wc-block-grid__product,
    .wc-block-grid.has-2-columns .wc-block-grid__product,
    .wc-block-grid.has-1-columns .wc-block-grid__product{
        flex: 1 0 98% !important;
        max-width: 98% !important;
        margin: 1rem 1% !important;
    }

}

